#include<bits/stdc++.h>
using namespace std;
#define ll long long
int main (){
       ios_base::sync_with_stdio(0);
       ll t , q , f , l , r , x , y , i , n , m , j , k , mn = 2e9, mx = -2e9;
     cin>>n;
     cin>>m;
      ll a[n+18];
      map<ll,ll>mp;
     for(i=0;i<m;i++){
          cin>>a[i];
          mp[a[i]]++;
 }
 j=0;
 vector<ll>v;
 for(i=0;i<m;i++){
     if(mp[a[i]]>=n){
          j++;
          v.push_back(a[i]);
          mp[a[i]]=0;
     }
 }
 cout<<j<<endl;
 for(i=0;i<j;i++){
     cout<<v[i]<<" ";
 }
 }